## FsRawUdpStreamTransmitter FsRawUdpStreamTransmitter — A stream transmitter object for UDP with STUN |

## Types and Values

struct | FsRawUdpStreamTransmitter

## Description

This transmitter sends and receives unicast UDP packets.

It will detect its own address using a STUN request if the “stun-ip” and “stun-port” properties are set. If the STUN request does not get a reply or no STUN is requested. It will return the IP address of all the local network interfaces, listing link-local addresses after other addresses and the loopback interface last.

You can configure the address and port it will listen on by setting the "preferred-local-candidates" property. This property will contain a GList of FsCandidate. These FsCandidate must be for FS_NETWORK_PROTOCOL_UDP. These port and/or the ip can be set on these candidates to force them, and this is per-component. If not all components have a port set, the following components will be on the following ports. There is no guarantee that the requested port will be available so a different port may the native candidate. But it is guaranteed that components that do not have specified ports will be sequential.

Example: Candidate {proto=UDP, component_id=RTP, ip=NULL, port=9098} will produce native candidates ({component_id=RTP, ip=IP, port=9078},{component_id=RTCP, ip=IP, port=9079}) or if this one is not available ({component_id=RTP, ip=IP, port=9080},{component_id=RTCP, ip=IP, port=9081}). The default port starts at 7078 for the first component.

The name of this transmitter is "rawudp".

## Functions

## Types and Values

### struct FsRawUdpStreamTransmitter

    struct FsRawUdpStreamTransmitter {
      FsStreamTransmitter parent;
    };

All members are private, access them using methods and properties

#### Members

FsStreamTransmitter `parent`; | Parent object |

## See Also

FsMulticastStreamTransmitter